*
{
	margin:0;
	padding:0;
	box-sizing:border-box;
	font-family:'Open Sans', Arial, sans-serif;
	color:#666;
}
	

h2 
{
	padding: 10px 0;
	font-size: 28px;
}

h3
{
	padding: 10px 0px;
	font-size: 20px;
}



/* HEADER */

header
{
	position:fixed;
	top:0;
	width:100%;
	display:flex;
	justify-content:space-between;
	padding:20px 60px;
	background:#121212;
	color:white;
	z-index:100;
	transition:.4s;
	align-items:center;
}

header.scrolled
{
	padding:10px 60px;
	background:rgba(17,17,17,.8)
}

nav
{
	display:flex;
	}

nav a
{
	color:white;
	margin-left:20px;
	text-decoration:none
	}

.logo 
{
	width:30%;
	}

.logo a 
{
	color:#fff;
	font-weight:bold;
	font-size:20px;
	text-decoration:none;
	display: flex;
	justify-content:left;
	align-items:center;
	gap: 10px; 
	}


.logo img 
{
	width:10%;
	min-width: 67px;

	}

.burger
{
	display:none
}

/* SLIDER */

.slider
{
	height:67vh;
	position:relative
}

.slide
{
	position:absolute;
	width:100%;
	height:100%;
	background-size:cover;
	opacity:0;
	transition:1s
}

.slide.active
{
	opacity:1
}

.caption
{
	position:absolute;
	bottom:20%;
	left:10%;
	color:white;
	font-size:40px;
	background:rgba(0,0,0,.5);
	padding:10px 20px;
	z-index:999;
}

.caption-text
{
	font-size:18px;
	color:#fff;
	padding: 10px 0;
}

.caption a 
{
	font-size:18px;
	color:#fff;
	text-decoration:none;
}


/* HERO */

.page-hero
{
	position:relative;
	height:40vh;
	overflow:hidden;
}

.page-hero img
{
	width:100%;
	height:100%;
	object-fit:cover;
	display:block;
}

.hero-overlay
{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	display:flex;
	align-items:center;
	justify-content:center;
	background:rgba(0,0,0,.7);
	color:#fff;
}

#hero-title
{
	position:absolute;
	bottom:20%;
	left:10%;
	color:white;
	font-size:40px;
	background:rgba(0,0,0,.5);
	padding:10px 20px;
}



/* NEWS */

.news
{
	padding:60px 0;
	background:#f5f5f5
}

.news-inner
{
	max-width:1200px;
	margin:auto;
	padding:0 20px;
	position:relative
}

.news-inner.wide
{
	max-width:1400px
}

.news-track
{
	display:flex;
	gap:20px;
	overflow:hidden
}

.news-card
{
	min-width:300px;
	background:white;
	border-radius:10px;
	overflow:hidden;
	text-decoration:none;
	color:black;
	transition:.3s;
}

.news-card:hover
{	
	transform:translateY(-5px)
}

.news-card img
{
	width:100%;
	height:200px;
	object-fit:cover
}

.news-content
{
	padding:13px;
	color:#666;
}

.news-content p
{
	padding: 0;
}

/* ARROWS */

.news-arrow
{
	position:absolute;
	top:50%;
	transform:translateY(-50%);
	background:rgba(0,0,0,.4);
	color:white;
	border:none;
	width:50px;
	height:50px;
	border-radius:50%;
	cursor:pointer;
	display:flex;
	align-items:center;
	justify-content:center;
	z-index:10;
}

.news-arrow.left
{
	left:-25px;
}

.news-arrow.right
{
	right:-25px;
}


/* ABOUT */

.about
{
	text-align:center;
	padding:80px 20px
}

.about p
{
	max-width:1084px;
	margin:auto;
	margin-top:20px
}

/* PROGRAM */

.program
{
	padding:60px 20px
}

.container
{
	max-width:1200px;
	margin:auto
}

.program-grid
{
	display:grid;
	grid-template-columns:repeat(3,1fr);
	gap:30px;
}

.program-card img
{
	width:100%;
	height:250px;
	object-fit:cover;
	border-radius:10px;
}

.program-card h3
{	
	text-align:center;
	margin-top:10px
}

/* CONTACT */

.contact
{
	text-align:center;
	padding:60px
}

form
{
	max-width:400px;
	margin:auto;
	display:flex;
	flex-direction:column;
	gap:10px
}

input,textarea
{
	padding:10px
}



/* STRANICA SVE VESTI */

.news-list-section{
  display:flex;
  justify-content:center;
  padding:60px 20px;
}

.news-list{
  width:100%;
  max-width:1000px;
}

/* kartica */
.news-row{
  display:flex;
  gap:25px;
  background:#fff;
  margin-bottom:25px;
  border-radius:10px;
  overflow:hidden;
  box-shadow:0 10px 25px rgba(0,0,0,0.08);
  cursor:pointer;
  transition:0.3s;
}

.news-row:hover{
  transform:translateY(-4px);
  box-shadow:0 18px 35px rgba(0,0,0,0.15);
}

/* slika levo */
.news-row img{
  width:320px;
  height:200px;
  object-fit:cover;
}

/* tekst desno */
.news-row-content{
  padding:20px;
  display:flex;
  flex-direction:column;
  justify-content:center;
}

.news-row h2{
  margin:0 0 10px;
}

.news-row p{
  color:#555;
  line-height:1.6;
}

.news-date{
  display:block;
  font-size:14px;
  color:#888;
  margin-bottom:6px;
}


/* FOOTER */

.site-footer {
  margin-top: 80px;
  font-size: 15px;
}

/* tamna sekcija */
.footer-top {
  background: #343434;
  color: #fff;
  padding: 60px 0;
}

.footer-grid {
  display: grid;
  grid-template-columns: 1.2fr 1fr 1fr;
  gap: 50px;
}

/* logo */
.footer-logo {
  width: 160px;
  margin-bottom: 20px;
}

.footer-col h3 {
  margin-bottom: 18px;
  font-size: 18px;
  color:#eee;
}

.footer-col p {
  margin-bottom: 18px;
  font-size: 14px;
  color:#eee;
}

/* linkovi */
.footer-links {
  list-style: none;
  padding: 0;
}

.footer-links li {
  margin-bottom: 10px;
}

.footer-links a {
  color: #ccc;
  text-decoration: none;
  transition: 0.3s;
}

.footer-links a:hover {
  color: #fff;
  padding-left: 5px;
}

/* socials */
.socials {
  margin-top: 15px;
}

.socials a {
  display: inline-block;
  margin-right: 12px;
  color: #fff;
  font-size: 18px;
  transition: 0.3s;
}

.socials a:hover {
  color: #ff6600;
  transform: translateY(-3px);
}

/* mapa */
.footer-map iframe {
  width: 100%;
  height: 300px;
  border: 0;
  display: block;
}

/* copyright */
.footer-bottom {
  background: #000;
  color: #aaa;
  text-align: center;
  padding: 15px;
  font-size: 14px;
}



/* ANIMATION */

.reveal
{
	opacity:0;
	transform:translateY(40px);
	transition:1s;
}

.reveal.active
{
	opacity:1;
	transform:none;
}




/* ARTICLE GLOBAL */

.article
{
	padding:60px 20px;
}

.article-inner
{
	max-width:1200px;
	margin:auto;
	line-height:1.7;
}

.article-inner.narrow
{
	max-width:900px;
}

.article-inner p
{
	margin-bottom:20px;
	text-align:justify;
}

.article-inner img
{
	width:100%;
	margin:30px 0;
	border-radius:8px;
}



/* MOBILE */

@media(max-width:900px)
{
	
	.news-track
	{
		flex-direction:column
	}
	
	.news-arrow
	{
		display:none
	}

	.program-grid
	{
	grid-template-columns:1fr;
	}

@media (max-width: 900px) {
    .burger {
        display: block;
        font-size: 36px;
        text-align: right;

        cursor: pointer;
    }

    nav {
        display: none;
        flex-direction: column;
        text-align: right;
        background: #121212;
        position: absolute;
		padding-right: 7%;
		padding-bottom: 20%;
		line-height: 1.7;
		font-size: 18px;
        top: 97px;
        width: 100%;
        right: 0;           /* fiksira meni na desni rub ekrana */
        box-sizing: border-box; /* padding ne izlazi van */
    }

    /* kada je meni otvoren, dodati klasu npr. .open */
    nav.open {
        display: flex;
    }

	
	 .footer-grid {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .socials a {
    margin: 0 8px;
  }
}
